Subject: Re: [RFC net-next v4 2/8] xsk: add TX timestamp and TX checksum offload support

From: Jakub Kicinski <[email-masked]>
Date: Tue, 25 Jul 2023 14:28:11 -0700

On Tue, 25 Jul 2023 13:30:58 -0700 Stanislav Fomichev wrote:
> > I know that it isn't the practice in this file.
> > but adding the following makes kernel-doc happier
> > about NETDEV_XSK_FLAGS_MASK not being documented.
> > 
> > 	/* private: */  
> 
> This is autogenerated file :-( But I guess I can try to extend ynl
> scripts to put this comment before the mask. Let me look into that...

Yes, please! I think I even wrote a patch for it at some point...
but then we realized that enums didn't support /* private: */.
Commit e27cb89a22ada4 has added the support, so we can get back
to getting the YNL changes in place.